package com.goafanti.admin.bo;

import com.goafanti.common.model.SalesTeam;

import java.math.BigDecimal;
import java.util.List;

public class SalesTeamBo extends SalesTeam {

    private String depName;
    private String adminName;
    private String superName;
    private Integer teamPeopleSum;
    private Integer teamCallSum;
    private Integer teamConnectSum;
    private Integer teamValidSum;
    private BigDecimal teamCallDurationSum;
    private List<SalesTeamBo> list;

    public List<SalesTeamBo> getList() {
        return list;
    }

    public void setList(List<SalesTeamBo> list) {
        this.list = list;
    }

    public SalesTeamBo() {
    }
    public SalesTeamBo(SalesTeam salesTeam) {
        this.setId(salesTeam.getId());
        this.setDepId(salesTeam.getDepId());
        this.setAid(salesTeam.getAid());
        this.setSuperId(salesTeam.getSuperId());
        this.setName(salesTeam.getName());
        this.setLvl(salesTeam.getLvl());
        this.setStatus(salesTeam.getStatus());
        this.setCreateTime(salesTeam.getCreateTime());
    }


    public Integer getTeamConnectSum() {
        return teamConnectSum;
    }

    public void setTeamConnectSum(Integer teamConnectSum) {
        this.teamConnectSum = teamConnectSum;
    }

    public Integer getTeamValidSum() {
        return teamValidSum;
    }

    public void setTeamValidSum(Integer teamValidSum) {
        this.teamValidSum = teamValidSum;
    }

    public Integer getTeamPeopleSum() {
        return teamPeopleSum;
    }

    public void setTeamPeopleSum(Integer teamPeopleSum) {
        this.teamPeopleSum = teamPeopleSum;
    }

    public Integer getTeamCallSum() {
        return teamCallSum;
    }

    public void setTeamCallSum(Integer teamCallSum) {
        this.teamCallSum = teamCallSum;
    }

    public BigDecimal getTeamCallDurationSum() {
        return teamCallDurationSum;
    }

    public void setTeamCallDurationSum(BigDecimal teamCallDurationSum) {
        this.teamCallDurationSum = teamCallDurationSum;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    public String getSuperName() {
        return superName;
    }

    public void setSuperName(String superName) {
        this.superName = superName;
    }
}
